Summary: Mailing list manager
Name: majordomo
Version: 1.94.4
Release: 8
Group: Networking/Admin
Copyright: Greatcircle's see LICENCE in docs
URL: http://www.greatcircle.com/majordomo/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.greatcircle.com/pub/majordomo/%{version}/majordomo-%{version}.tar.gz
Source1: majordomo.cf
Source2: majordomo.logrotate
Source3: MajorDomoCreate
Patch: majordomo-1.94.4.patch
BuildRoot: /var/tmp/majordomo-root

# user name and group name is majordomo
%define userID 91
%define groupID 91

%description
Majordomo is a program which automates the management of Internet
mailing lists. Commands are sent to Majordomo via electronic mail to
handle all aspects of list maintainance. Once a list is set up,
virtually all operations can be performed remotely, requiring no
intervention upon the postmaster of the list site. 


%prep
%setup -q
%patch -p1

%build
make wrapper \
	W_USER=%{userID} \
	W_GROUP=%{groupID}
strip wrapper


%install
rm -f $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/logrotate.d,usr/{man/man{1,8},lib/majordomo}}
make install install-wrapper \
	W_HOME=$RPM_BUILD_ROOT/usr/lib/majordomo \
	W_MAJORDOMO_CF=$RPM_BUILD_ROOT/etc/majordomo.cf \
	MAN=$RPM_BUILD_ROOT/usr/man

install -d -m750 $RPM_BUILD_ROOT/var/lib/majordomo/{archives,digest,lists}

# put in our own majordomo.cf under /etc instead of /usr/lib/majordomo
rm -f $RPM_BUILD_ROOT/usr/lib/majordomo/majordomo.cf
install -m444 %{SOURCE1} $RPM_BUILD_ROOT/etc
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/majordomo

# Man pages under Doc/ are redundant
rm -rf Doc/man


%pre
groupadd -g %{groupID} majordomo ||:
useradd -M -r -u %{userID} -g %{groupID} -d /usr/lib/majordomo -s /bin/bash -c "Majordomo List Manager" majordomo` ||:
usermod  -G majordomo mail ||:

%postun
if [ $1 = 0 ] ; then
    userdel majordomo ||:
    groupdel majordomo ||:
fi


%files
%defattr(-,root,root)
%config /etc/majordomo.cf
%doc Changelog FUTURE INSTALL LICENSE NEWLIST NEWS README todo.local Doc
%config /etc/logrotate.d/majordomo
%attr(-,majordomo,majordomo) /var/lib/majordomo
/usr/lib/majordomo
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT
